#pragma once

#include <windows.h>

class Maths
{
    public:
        // Compute new horizontal FOV based on native and target aspect ratio
        static double CompensateHorizontalFOV(const double baseHorizontalFOVDeg, const double baseAspectRatio, const double targetAspectRatio);

    private:
        static double DegreesToRadians(double degrees);
        static double RadiansToDegrees(double radians);
};
